> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Exclude a student from a run

POST https://ssuccessv2.com/app/api/v1/bussing/route-management/{batch_id}/{run_setup_id}/excluded-students
Content-Type: application/json

Excludes the selected student from this bus run and removes the student from any currently assigned route.

Reference: https://docs.schoolset.io/api-reference/school-set-api/bussing-route-management/exclude-bussing-route-management-student

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `batch_id` (integer, required) — Academic year identifier
- `run_setup_id` (integer, required) — Bus run setup identifier

### Body (application/json)

This endpoint expects an object.

- `student_id` (integer, required)
- `reason` (string, optional, nullable)

## Response

### 200

Student excluded and route management refreshed.

- `status` (string, optional)
- `message` (string, optional)
- `data` (map from string to any, optional)

## Errors

### 401 Unauthorized Error

Authentication required

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

Bussing route editing is not permitted

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Run setup was not found

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Student identifier or reason is invalid

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "student_id": 4812,
  "reason": "Family transportation arrangement"
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "unallocated": [],
    "routes": [],
    "run_setup": {
      "id": 12,
      "name": "Morning Route"
    },
    "excluded": [
      {
        "student_id": 4812,
        "reason": "Family transportation arrangement"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students"

payload = {
    "student_id": 4812,
    "reason": "Family transportation arrangement"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"student_id":4812,"reason":"Family transportation arrangement"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students"

	payload := strings.NewReader("{\n  \"student_id\": 4812,\n  \"reason\": \"Family transportation arrangement\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"student_id\": 4812,\n  \"reason\": \"Family transportation arrangement\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"student_id\": 4812,\n  \"reason\": \"Family transportation arrangement\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students', [
  'body' => '{
  "student_id": 4812,
  "reason": "Family transportation arrangement"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"student_id\": 4812,\n  \"reason\": \"Family transportation arrangement\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "student_id": 4812,
  "reason": "Family transportation arrangement"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/bussing/route-management/2026/12/excluded-students")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```